Avro C++

Static Public Member Functions | List of all members
avro::codec_traits< std::pair< ValidSchema, GenericDatum > > Struct Reference

Specialization of codec_traits for Generic datum along with its schema. More...

`#include <Generic.hh>`

## Static Public Member Functions
static void | encode (Encoder &e, const std::pair< ValidSchema, GenericDatum > &p)
| Encodes.
static void | decode (Decoder &d, std::pair< ValidSchema, GenericDatum > &p)
| Decodes.

## Detailed Description

Specialization of codec_traits for Generic datum along with its schema.

This is maintained for compatibility with old code. Please use the cleaner codec_traits<GenericDatum> instead.

The documentation for this struct was generated from the following file:

- api/Generic.hh